darcs

Darcs.Patch.Set

# Documentation

data PatchSet p where

Constructors

PatchSet :: RL (PatchInfoAnd p) -> RL (Tagged p) -> PatchSet p |

data Tagged p where

Constructors

Tagged :: PatchInfoAnd p -> Maybe String -> RL (PatchInfoAnd p) -> Tagged p |

type SealedPatchSet p = Sealed (PatchSet p)

data Origin

progressPatchSet :: String -> PatchSet p -> PatchSet p

tags :: PatchSet p -> [PatchInfo]

newset2RL :: PatchSet p -> RL (PatchInfoAnd p)

newset2FL :: PatchSet p -> FL (PatchInfoAnd p)